//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.0 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.05 at 02:46:29 PM CET 
//


package com.ticket_jira_soap.ws;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ticket_jira_soap.ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ticket_jira_soap.ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetAllTicketsRequest }
     * 
     */
    public GetAllTicketsRequest createGetAllTicketsRequest() {
        return new GetAllTicketsRequest();
    }

    /**
     * Create an instance of {@link GetAllTicketsResponse }
     * 
     */
    public GetAllTicketsResponse createGetAllTicketsResponse() {
        return new GetAllTicketsResponse();
    }

    /**
     * Create an instance of {@link TicketSoap }
     * 
     */
    public TicketSoap createTicketSoap() {
        return new TicketSoap();
    }

    /**
     * Create an instance of {@link GetTicketByIdRequest }
     * 
     */
    public GetTicketByIdRequest createGetTicketByIdRequest() {
        return new GetTicketByIdRequest();
    }

    /**
     * Create an instance of {@link GetTicketByIdResponse }
     * 
     */
    public GetTicketByIdResponse createGetTicketByIdResponse() {
        return new GetTicketByIdResponse();
    }

    /**
     * Create an instance of {@link GetTicketByNameRequest }
     * 
     */
    public GetTicketByNameRequest createGetTicketByNameRequest() {
        return new GetTicketByNameRequest();
    }

    /**
     * Create an instance of {@link GetTicketByNameResponse }
     * 
     */
    public GetTicketByNameResponse createGetTicketByNameResponse() {
        return new GetTicketByNameResponse();
    }

    /**
     * Create an instance of {@link AddTicketRequest }
     * 
     */
    public AddTicketRequest createAddTicketRequest() {
        return new AddTicketRequest();
    }

    /**
     * Create an instance of {@link AddTicketResponse }
     * 
     */
    public AddTicketResponse createAddTicketResponse() {
        return new AddTicketResponse();
    }

    /**
     * Create an instance of {@link ServiceStatus }
     * 
     */
    public ServiceStatus createServiceStatus() {
        return new ServiceStatus();
    }

}
